#
# spec file for package kubectl-explore
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define __arch_install_post export NO_BRP_STRIP_DEBUG=true

Name:           kubectl-explore
Version:        0.7.2
Release:        1.3
Summary:        A better kubectl explain with the fuzzy finder
License:        MIT
URL:            https://github.com/keisku/kubectl-explore
Source:         kubectl-explore-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go1.21 >= 1.21.6

%description
This plugin fuzzy-finds the field explanation from supported API resources. It implements different explanations for particular API version.

%prep
%setup -q
%setup -q -T -D -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -ldflags="-X main.Version=%{version}"

%install
# Install the binary.
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Jan 15 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.7.2:
  * use latest version for every steps
  * bump deps
- BuildRequire go1.21
* Wed Mar  1 2023 Johannes Kastl <kastl@b1-systems.de>
- new package kubectl-explore: A better kubectl explain with the fuzzy finder
